using Microsoft.Extensions.Logging;

namespace BarContracts.DI
{
	public interface IDependencyContainer
	{
		void AddLogging(Action<ILoggingBuilder> Configure);

		void RegisterType<T, U>(bool IsSingleton) where U : class, T where T : class;

		void RegisterType<T>(bool IsSingleton) where T : class;

		T Resolve<T>();
	}
}
